Old version of winscpnet.dll

Advertisement

carl_nyc
Joined:
Posts:
1
Location:
New York

Old version of winscpnet.dll

Does anyone know where I can get a copy of winscpnet.dll that's compatible with version 4.2.9 of winscp? The history in Sourceforge only seems to include the core .exe and .com files. Here's why I need it:

I am working for a client who has winscp version 4.2.9 installed on all its workstations, and its packaged version does not include the .net library. When I tried to use the current version of the library, I got a "The version of [winscp.exe] does not match version of this assembly" error. When I set the DisableVersionCheck property, I got a "Incompatible external console protocol version 3" error when trying to open a session. The client won't allow me to upgrade winscp, so my only choice is to use an old library. Any ideas?

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
28,469
Location:
Prague, Czechia

Re: Old version of winscpnet.dll

WinSCP .NET assembly is supported since 5.0.6 only.
Anyway you do not need to upgrade WinSCP (the GUI instance). Just copy the new version binary (winscp.exe) to the .NET assembly folder. And keep the old version "installed" (for whatever use thay have for it).
_________________
Martin Prikryl

Reply with quote

Advertisement

You can post new topics in this forum